[build-system]
requires = ["setuptools>=42", "wheel", "setuptools_scm[toml]>=3.4"]

[tool.setuptools_scm]

#[tool.setuptools]
#packages = ["bq"]
write_to = "src/bq/dirupload/version.py"

[tools.bandit]
skips = ["B311", "B410"]
exclude="tests"

[project]
name="bq-tools-dirupload"
description="Upload/Download files to bisque/ViQi in parallel"
readme="README.md"
dynamic=["version"]

authors = [
    {name="ViQi Inc"},
    {email="info@viqi.org"}
]

classifiers =[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.10"
]
requires-python = ">=3.8"

dependencies = [
          'bisque-api >= 0.5.10.14, <0.6',
          "viqi-api >= 0.6.4.8",
          "bisque-metadoc",
          'configparser',
          'lxml',
          'regex >= 2020.11.13',
          'watchdog'
]


[project.optional-dependencies]
EXIF = ["exif"]


[project.urls]
homepage="https://www.viqi.org"

[project.scripts]
bq-dirupload="bq.dirupload.uploaddirp:main"
bq-dirfetch="bq.dirupload.fetchdir:main"


[project.entry-points."bq.import_service.importer_plugins"]
path_plugin = "bq.dirupload.metaplugin"
